Name:           python-scprint
Version:        2.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        scPRINT is a Large Cell Model for Gene Network Inference, Denoising and more from scRNAseq data

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/scprint/
Source:         %{pypi_source scprint}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'scprint' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-scprint
Summary:        %{summary}

%description -n python3-scprint %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-scprint dev,flash


%prep
%autosetup -p1 -n scprint-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,flash


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-scprint -f %{pyproject_files}


%changelog
%autochangelog